diff --git a/_ide_helper.php b/_ide_helper.php
index 9a3bc91..e29078a 100644
--- a/_ide_helper.php
+++ b/_ide_helper.php
@@ -17185,20 +18290,21 @@ namespace Collective\Html {
          */ 
         public static function macro($name, $macro)
         {
-            \Collective\Html\HtmlBuilder::macro($name, $macro);
+                        \Collective\Html\HtmlBuilder::macro($name, $macro);
         }
         
         /**
          * Mix another object into the class.
          *
          * @param object $mixin
+         * @param bool $replace
          * @return void 
          * @throws \ReflectionException
          * @static 
          */ 
-        public static function mixin($mixin)
+        public static function mixin($mixin, $replace = true)
         {
-            \Collective\Html\HtmlBuilder::mixin($mixin);
+                        \Collective\Html\HtmlBuilder::mixin($mixin, $replace);
         }
         
         /**
@@ -17210,7 +18316,7 @@ namespace Collective\Html {
          */ 
         public static function hasMacro($name)
         {
-            return \Collective\Html\HtmlBuilder::hasMacro($name);
+                        return \Collective\Html\HtmlBuilder::hasMacro($name);
         }
         
         /**
@@ -17224,7 +18330,8 @@ namespace Collective\Html {
          */ 
         public static function macroCall($method, $parameters)
         {
-            return \Collective\Html\HtmlBuilder::macroCall($method, $parameters);
+                        /** @var \Collective\Html\HtmlBuilder $instance */
+                        return $instance->macroCall($method, $parameters);
         }
         
         /**
@@ -17238,7 +18345,7 @@ namespace Collective\Html {
          */ 
         public static function component($name, $view, $signature)
         {
-            \Collective\Html\HtmlBuilder::component($name, $view, $signature);
+                        \Collective\Html\HtmlBuilder::component($name, $view, $signature);
         }
         
         /**
@@ -17250,7 +18357,7 @@ namespace Collective\Html {
          */ 
         public static function hasComponent($name)
         {
-            return \Collective\Html\HtmlBuilder::hasComponent($name);
+                        return \Collective\Html\HtmlBuilder::hasComponent($name);
         }
         
         /**
@@ -17264,7 +18371,8 @@ namespace Collective\Html {
          */ 
         public static function componentCall($method, $parameters)
         {
-            return \Collective\Html\HtmlBuilder::componentCall($method, $parameters);
+                        /** @var \Collective\Html\HtmlBuilder $instance */
+                        return $instance->componentCall($method, $parameters);
         }
          
     }
@@ -17288,7 +18396,8 @@ namespace Webpatser\Countries {
          */ 
         public static function getOne($id)
         {
-            return \Webpatser\Countries\Countries::getOne($id);
+                        /** @var \Webpatser\Countries\Countries $instance */
+                        return $instance->getOne($id);
         }
         
         /**
@@ -17300,7 +18409,8 @@ namespace Webpatser\Countries {
          */ 
         public static function getList($sort = null)
         {
-            return \Webpatser\Countries\Countries::getList($sort);
+                        /** @var \Webpatser\Countries\Countries $instance */
+                        return $instance->getList($sort);
         }
         
         /**
@@ -17313,7 +18423,8 @@ namespace Webpatser\Countries {
          */ 
         public static function getListForSelect($display = 'name')
         {
-            return \Webpatser\Countries\Countries::getListForSelect($display);
+                        /** @var \Webpatser\Countries\Countries $instance */
+                        return $instance->getListForSelect($display);
         }
         
         /**
@@ -17325,7 +18436,7 @@ namespace Webpatser\Countries {
         public static function clearBootedModels()
         {
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            \Webpatser\Countries\Countries::clearBootedModels();
+                        \Webpatser\Countries\Countries::clearBootedModels();
         }
         
         /**
@@ -17338,7 +18449,7 @@ namespace Webpatser\Countries {
         public static function withoutTouching($callback)
         {
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            \Webpatser\Countries\Countries::withoutTouching($callback);
+                        \Webpatser\Countries\Countries::withoutTouching($callback);
         }
         
         /**
@@ -17352,7 +18463,7 @@ namespace Webpatser\Countries {
         public static function withoutTouchingOn($models, $callback)
         {
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            \Webpatser\Countries\Countries::withoutTouchingOn($models, $callback);
+                        \Webpatser\Countries\Countries::withoutTouchingOn($models, $callback);
         }
         
         /**
@@ -17365,34 +18476,36 @@ namespace Webpatser\Countries {
         public static function isIgnoringTouch($class = null)
         {
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::isIgnoringTouch($class);
+                        return \Webpatser\Countries\Countries::isIgnoringTouch($class);
         }
         
         /**
          * Fill the model with an array of attributes.
          *
          * @param array $attributes
-         * @return $this 
+         * @return \Webpatser\Countries\Countries 
          * @throws \Illuminate\Database\Eloquent\MassAssignmentException
          * @static 
          */ 
         public static function fill($attributes)
         {
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::fill($attributes);
+                        /** @var \Webpatser\Countries\Countries $instance */
+                        return $instance->fill($attributes);
         }
         
         /**
          * Fill the model with an array of attributes. Force mass assignment.
          *
          * @param array $attributes
-         * @return $this 
+         * @return \Webpatser\Countries\Countries 
          * @static 
          */ 
         public static function forceFill($attributes)
         {
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::forceFill($attributes);
+                        /** @var \Webpatser\Countries\Countries $instance */
+                        return $instance->forceFill($attributes);
         }
         
         /**
@@ -17405,7 +18518,8 @@ namespace Webpatser\Countries {
         public static function qualifyColumn($column)
         {
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::qualifyColumn($column);
+                        /** @var \Webpatser\Countries\Countries $instance */
+                        return $instance->qualifyColumn($column);
         }
         
         /**
@@ -17419,7 +18533,8 @@ namespace Webpatser\Countries {
         public static function newInstance($attributes = array(), $exists = false)
         {
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::newInstance($attributes, $exists);
+                        /** @var \Webpatser\Countries\Countries $instance */
+                        return $instance->newInstance($attributes, $exists);
         }
         
         /**
@@ -17433,7 +18548,8 @@ namespace Webpatser\Countries {
         public static function newFromBuilder($attributes = array(), $connection = null)
         {
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::newFromBuilder($attributes, $connection);
+                        /** @var \Webpatser\Countries\Countries $instance */
+                        return $instance->newFromBuilder($attributes, $connection);
         }
         
         /**
@@ -17446,7 +18562,7 @@ namespace Webpatser\Countries {
         public static function on($connection = null)
         {
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::on($connection);
+                        return \Webpatser\Countries\Countries::on($connection);
         }
         
         /**
@@ -17458,7 +18574,7 @@ namespace Webpatser\Countries {
         public static function onWriteConnection()
         {
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::onWriteConnection();
+                        return \Webpatser\Countries\Countries::onWriteConnection();
         }
         
         /**
@@ -17471,7 +18587,7 @@ namespace Webpatser\Countries {
         public static function all($columns = array())
         {
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::all($columns);
+                        return \Webpatser\Countries\Countries::all($columns);
         }
         
         /**
@@ -17484,33 +18600,49 @@ namespace Webpatser\Countries {
         public static function with($relations)
         {
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::with($relations);
+                        return \Webpatser\Countries\Countries::with($relations);
         }
         
         /**
          * Eager load relations on the model.
          *
          * @param array|string $relations
-         * @return $this 
+         * @return \Webpatser\Countries\Countries 
          * @static 
          */ 
         public static function load($relations)
         {
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::load($relations);
+                        /** @var \Webpatser\Countries\Countries $instance */
+                        return $instance->load($relations);
         }
         
         /**
          * Eager load relations on the model if they are not already eager loaded.
          *
          * @param array|string $relations
-         * @return $this 
+         * @return \Webpatser\Countries\Countries 
          * @static 
          */ 
         public static function loadMissing($relations)
         {
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::loadMissing($relations);
+                        /** @var \Webpatser\Countries\Countries $instance */
+                        return $instance->loadMissing($relations);
+        }
+        
+        /**
+         * Eager load relation counts on the model.
+         *
+         * @param array|string $relations
+         * @return \Webpatser\Countries\Countries 
+         * @static 
+         */ 
+        public static function loadCount($relations)
+        {
+            //Method inherited from \Illuminate\Database\Eloquent\Model            
+                        /** @var \Webpatser\Countries\Countries $instance */
+                        return $instance->loadCount($relations);
         }
         
         /**
@@ -17524,7 +18656,8 @@ namespace Webpatser\Countries {
         public static function update($attributes = array(), $options = array())
         {
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::update($attributes, $options);
+                        /** @var \Webpatser\Countries\Countries $instance */
+                        return $instance->update($attributes, $options);
         }
         
         /**
@@ -17536,7 +18669,8 @@ namespace Webpatser\Countries {
         public static function push()
         {
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::push();
+                        /** @var \Webpatser\Countries\Countries $instance */
+                        return $instance->push();
         }
         
         /**
@@ -17549,7 +18683,8 @@ namespace Webpatser\Countries {
         public static function save($options = array())
         {
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::save($options);
+                        /** @var \Webpatser\Countries\Countries $instance */
+                        return $instance->save($options);
         }
         
         /**
@@ -17563,7 +18698,8 @@ namespace Webpatser\Countries {
         public static function saveOrFail($options = array())
         {
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::saveOrFail($options);
+                        /** @var \Webpatser\Countries\Countries $instance */
+                        return $instance->saveOrFail($options);
         }
         
         /**
@@ -17576,7 +18712,7 @@ namespace Webpatser\Countries {
         public static function destroy($ids)
         {
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::destroy($ids);
+                        return \Webpatser\Countries\Countries::destroy($ids);
         }
         
         /**
@@ -17589,7 +18725,8 @@ namespace Webpatser\Countries {
         public static function delete()
         {
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::delete();
+                        /** @var \Webpatser\Countries\Countries $instance */
+                        return $instance->delete();
         }
         
         /**
@@ -17603,7 +18740,8 @@ namespace Webpatser\Countries {
         public static function forceDelete()
         {
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::forceDelete();
+                        /** @var \Webpatser\Countries\Countries $instance */
+                        return $instance->forceDelete();
         }
         
         /**
@@ -17615,7 +18753,7 @@ namespace Webpatser\Countries {
         public static function query()
         {
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::query();
+                        return \Webpatser\Countries\Countries::query();
         }
         
         /**
@@ -17627,7 +18765,8 @@ namespace Webpatser\Countries {
         public static function newQuery()
         {
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::newQuery();
+                        /** @var \Webpatser\Countries\Countries $instance */
+                        return $instance->newQuery();
         }
         
         /**
@@ -17639,7 +18778,8 @@ namespace Webpatser\Countries {
         public static function newModelQuery()
         {
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::newModelQuery();
+                        /** @var \Webpatser\Countries\Countries $instance */
+                        return $instance->newModelQuery();
         }
         
         /**
@@ -17651,7 +18791,8 @@ namespace Webpatser\Countries {
         public static function newQueryWithoutRelationships()
         {
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::newQueryWithoutRelationships();
+                        /** @var \Webpatser\Countries\Countries $instance */
+                        return $instance->newQueryWithoutRelationships();
         }
         
         /**
@@ -17664,7 +18805,8 @@ namespace Webpatser\Countries {
         public static function registerGlobalScopes($builder)
         {
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::registerGlobalScopes($builder);
+                        /** @var \Webpatser\Countries\Countries $instance */
+                        return $instance->registerGlobalScopes($builder);
         }
         
         /**
@@ -17676,7 +18818,8 @@ namespace Webpatser\Countries {
         public static function newQueryWithoutScopes()
         {
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::newQueryWithoutScopes();
+                        /** @var \Webpatser\Countries\Countries $instance */
+                        return $instance->newQueryWithoutScopes();
         }
         
         /**
@@ -17689,7 +18832,8 @@ namespace Webpatser\Countries {
         public static function newQueryWithoutScope($scope)
         {
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::newQueryWithoutScope($scope);
+                        /** @var \Webpatser\Countries\Countries $instance */
+                        return $instance->newQueryWithoutScope($scope);
         }
         
         /**
@@ -17702,7 +18846,8 @@ namespace Webpatser\Countries {
         public static function newQueryForRestoration($ids)
         {
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::newQueryForRestoration($ids);
+                        /** @var \Webpatser\Countries\Countries $instance */
+                        return $instance->newQueryForRestoration($ids);
         }
         
         /**
@@ -17715,7 +18860,8 @@ namespace Webpatser\Countries {
         public static function newEloquentBuilder($query)
         {
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::newEloquentBuilder($query);
+                        /** @var \Webpatser\Countries\Countries $instance */
+                        return $instance->newEloquentBuilder($query);
         }
         
         /**
@@ -17728,7 +18874,8 @@ namespace Webpatser\Countries {
         public static function newCollection($models = array())
         {
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::newCollection($models);
+                        /** @var \Webpatser\Countries\Countries $instance */
+                        return $instance->newCollection($models);
         }
         
         /**
@@ -17745,7 +18892,8 @@ namespace Webpatser\Countries {
         public static function newPivot($parent, $attributes, $table, $exists, $using = null)
         {
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::newPivot($parent, $attributes, $table, $exists, $using);
+                        /** @var \Webpatser\Countries\Countries $instance */
+                        return $instance->newPivot($parent, $attributes, $table, $exists, $using);
         }
         
         /**
@@ -17757,7 +18905,8 @@ namespace Webpatser\Countries {
         public static function toArray()
         {
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::toArray();
+                        /** @var \Webpatser\Countries\Countries $instance */
+                        return $instance->toArray();
         }
         
         /**
@@ -17771,7 +18920,8 @@ namespace Webpatser\Countries {
         public static function toJson($options = 0)
         {
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::toJson($options);
+                        /** @var \Webpatser\Countries\Countries $instance */
+                        return $instance->toJson($options);
         }
         
         /**
@@ -17783,7 +18933,8 @@ namespace Webpatser\Countries {
         public static function jsonSerialize()
         {
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::jsonSerialize();
+                        /** @var \Webpatser\Countries\Countries $instance */
+                        return $instance->jsonSerialize();
         }
         
         /**
@@ -17796,19 +18947,21 @@ namespace Webpatser\Countries {
         public static function fresh($with = array())
         {
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::fresh($with);
+                        /** @var \Webpatser\Countries\Countries $instance */
+                        return $instance->fresh($with);
         }
         
         /**
          * Reload the current model instance with fresh attributes from the database.
          *
-         * @return $this 
+         * @return \Webpatser\Countries\Countries 
          * @static 
          */ 
         public static function refresh()
         {
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::refresh();
+                        /** @var \Webpatser\Countries\Countries $instance */
+                        return $instance->refresh();
         }
         
         /**
@@ -17821,7 +18974,8 @@ namespace Webpatser\Countries {
         public static function replicate($except = null)
         {
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::replicate($except);
+                        /** @var \Webpatser\Countries\Countries $instance */
+                        return $instance->replicate($except);
         }
         
         /**
@@ -17834,7 +18988,8 @@ namespace Webpatser\Countries {
         public static function is($model)
         {
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::is($model);
+                        /** @var \Webpatser\Countries\Countries $instance */
+                        return $instance->is($model);
         }
         
         /**
@@ -17847,7 +19002,8 @@ namespace Webpatser\Countries {
         public static function isNot($model)
         {
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::isNot($model);
+                        /** @var \Webpatser\Countries\Countries $instance */
+                        return $instance->isNot($model);
         }
         
         /**
@@ -17859,7 +19015,8 @@ namespace Webpatser\Countries {
         public static function getConnection()
         {
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::getConnection();
+                        /** @var \Webpatser\Countries\Countries $instance */
+                        return $instance->getConnection();
         }
         
         /**
@@ -17871,20 +19028,22 @@ namespace Webpatser\Countries {
         public static function getConnectionName()
         {
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::getConnectionName();
+                        /** @var \Webpatser\Countries\Countries $instance */
+                        return $instance->getConnectionName();
         }
         
         /**
          * Set the connection associated with the model.
          *
          * @param string $name
-         * @return $this 
+         * @return \Webpatser\Countries\Countries 
          * @static 
          */ 
         public static function setConnection($name)
         {
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::setConnection($name);
+                        /** @var \Webpatser\Countries\Countries $instance */
+                        return $instance->setConnection($name);
         }
         
         /**
@@ -17897,7 +19056,7 @@ namespace Webpatser\Countries {
         public static function resolveConnection($connection = null)
         {
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::resolveConnection($connection);
+                        return \Webpatser\Countries\Countries::resolveConnection($connection);
         }
         
         /**
@@ -17909,7 +19068,7 @@ namespace Webpatser\Countries {
         public static function getConnectionResolver()
         {
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::getConnectionResolver();
+                        return \Webpatser\Countries\Countries::getConnectionResolver();
         }
         
         /**
@@ -17922,7 +19081,7 @@ namespace Webpatser\Countries {
         public static function setConnectionResolver($resolver)
         {
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            \Webpatser\Countries\Countries::setConnectionResolver($resolver);
+                        \Webpatser\Countries\Countries::setConnectionResolver($resolver);
         }
         
         /**
@@ -17934,7 +19093,7 @@ namespace Webpatser\Countries {
         public static function unsetConnectionResolver()
         {
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            \Webpatser\Countries\Countries::unsetConnectionResolver();
+                        \Webpatser\Countries\Countries::unsetConnectionResolver();
         }
         
         /**
@@ -17946,20 +19105,22 @@ namespace Webpatser\Countries {
         public static function getTable()
         {
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::getTable();
+                        /** @var \Webpatser\Countries\Countries $instance */
+                        return $instance->getTable();
         }
         
         /**
          * Set the table associated with the model.
          *
          * @param string $table
-         * @return $this 
+         * @return \Webpatser\Countries\Countries 
          * @static 
          */ 
         public static function setTable($table)
         {
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::setTable($table);
+                        /** @var \Webpatser\Countries\Countries $instance */
+                        return $instance->setTable($table);
         }
         
         /**
@@ -17971,20 +19132,22 @@ namespace Webpatser\Countries {
         public static function getKeyName()
         {
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::getKeyName();
+                        /** @var \Webpatser\Countries\Countries $instance */
+                        return $instance->getKeyName();
         }
         
         /**
          * Set the primary key for the model.
          *
          * @param string $key
-         * @return $this 
+         * @return \Webpatser\Countries\Countries 
          * @static 
          */ 
         public static function setKeyName($key)
         {
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::setKeyName($key);
+                        /** @var \Webpatser\Countries\Countries $instance */
+                        return $instance->setKeyName($key);
         }
         
         /**
@@ -17996,7 +19159,8 @@ namespace Webpatser\Countries {
         public static function getQualifiedKeyName()
         {
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::getQualifiedKeyName();
+                        /** @var \Webpatser\Countries\Countries $instance */
+                        return $instance->getQualifiedKeyName();
         }
         
         /**
@@ -18008,20 +19172,22 @@ namespace Webpatser\Countries {
         public static function getKeyType()
         {
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::getKeyType();
+                        /** @var \Webpatser\Countries\Countries $instance */
+                        return $instance->getKeyType();
         }
         
         /**
          * Set the data type for the primary key.
          *
          * @param string $type
-         * @return $this 
+         * @return \Webpatser\Countries\Countries 
          * @static 
          */ 
         public static function setKeyType($type)
         {
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::setKeyType($type);
+                        /** @var \Webpatser\Countries\Countries $instance */
+                        return $instance->setKeyType($type);
         }
         
         /**
@@ -18033,20 +19199,22 @@ namespace Webpatser\Countries {
         public static function getIncrementing()
         {
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::getIncrementing();
+                        /** @var \Webpatser\Countries\Countries $instance */
+                        return $instance->getIncrementing();
         }
         
         /**
          * Set whether IDs are incrementing.
          *
          * @param bool $value
-         * @return $this 
+         * @return \Webpatser\Countries\Countries 
          * @static 
          */ 
         public static function setIncrementing($value)
         {
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::setIncrementing($value);
+                        /** @var \Webpatser\Countries\Countries $instance */
+                        return $instance->setIncrementing($value);
         }
         
         /**
@@ -18058,7 +19226,8 @@ namespace Webpatser\Countries {
         public static function getKey()
         {
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::getKey();
+                        /** @var \Webpatser\Countries\Countries $instance */
+                        return $instance->getKey();
         }
         
         /**
